Add new medicine
curl --request POST \
--url https://virtserver.swaggerhub.com/SUBIN23K/Subin_Health/1.0.0/inventory/{medicine} \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"medicine": "Dolo 650",
"isAvailable": true,
"dosage": "650 mg",
"isRegular": true,
"price": 1000,
"currency": "INR"
}
'import requests
url = "https://virtserver.swaggerhub.com/SUBIN23K/Subin_Health/1.0.0/inventory/{medicine}"
payload = {
"medicine": "Dolo 650",
"isAvailable": True,
"dosage": "650 mg",
"isRegular": True,
"price": 1000,
"currency": "INR"
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
medicine: 'Dolo 650',
isAvailable: true,
dosage: '650 mg',
isRegular: true,
price: 1000,
currency: 'INR'
})
};
fetch('https://virtserver.swaggerhub.com/SUBIN23K/Subin_Health/1.0.0/inventory/{medicine}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Inventory
Add new medicine
Adds a new prescription to the patient’s profile.
POST
/
inventory
/
{medicine}
Add new medicine
Authorizations
Path Parameters
Medicine's name
Example:
"Dolo 650"
Body
application/jsonapplication/xml
Object that contains inventory data
Availability and pricing details of a specific medicine in stock.
Name of the stocked medicine.
Example:
"Dolo 650"
Indicates whether the medicine is currently in stock.
Dosage formulation of the medicine.
Example:
"650 mg"
Indicates whether the medicine is available for regular recurring subscriptions.
Unit price of the medicine in inventory.
Example:
1000
Currency code for the medicine's price.
Example:
"INR"
Response
Successful operation
Was this page helpful?
⌘I